Articles of apr

¿Por qué los Centos apache httpd-2.2.3 rpm eliminan el apr incluido, apr-util, pcre?

Estoy construyendo manualmente httpd-2.2.17 desde la fuente. Solo para asegurarme de tener las opciones de configuration correctas, verifiqué el último srpm de Apache de CENTOS (que es para httpd-2.2.3). En el httpd.spec encuentro esta línea: # forcibly prevent use of bundled apr, apr-util, pcre rm -rf srclib/{apr,apr-util,pcre} Me preguntaba por qué se requiere esto. ¿Qué […]

los packages tienen dependencies no satisdates: no se pueden instalar packages

Estoy tratando de instalar el module de pasajeros con el command de abajo: sudo passenger-install-apache2-module Y estoy obteniendo el siguiente resultado: * GNU C++ compiler… found at /usr/bin/g++ * Curl development headers with SSL support… found * OpenSSL development headers… found * Zlib development headers… found * Ruby development headers… found * OpenSSL support for […]

¿Cómo hacer que apr esté disponible para la installation de Subversion?

Intento instalar subversion desde el origen, pero en ./configure recibo: configure: error: no suitable apr found Tengo la fuente de descarga de descarga e instalado: libraries have been installed in: /usr/local/apr/lib Así que volví a la configuration de subversión pero recibí el mismo error. ¿Qué debería hacer? Gracias.

No se puede actualizar glibc en CentOS 7

Tengo CentOS 7 instalado. Quiero instalar el package APR para Apache, y me dicen que no puedo instalarlo porque requiere al less glibc.2.14 mientras tengo instalado glibc.2.12 . He descargado el package glibc.2.17.rpm , luego lo instalo pero arroja un error que requiere que se instale glibc.common.2.17 . Ahora estoy atascado, porque cuando bash instalar […]